.TH RPYC_CLASSIC 1 "" ""
.SH NAME
rpyc_classic \- RPyC classic server
.SH SYNOPSIS
.SY rpyc_classic
.RI [ options ]
.YS
.SH DESCRIPTION
RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent
Python library for symmetrical remote procedure calls, clustering and
distributed-computing. RPyC makes use of object-proxying, a technique that
employs Python’s dynamic nature, to overcome the physical boundaries between
processes and computers, so that remote objects can be manipulated as if they
were local.
.PP
.B rpyc_classic
is the server component which enables remote access to the local system.
The following options are available:
.TP
.BR \-\-mode " " \fIMODE\fR ", " \-m " " \fIMODE\fR
Select mode of operation. One of
.BR threaded ", " forking ", " stdio ", " oneshot .
.TP
.BR \-\-port " " \fIPORT\fR ", " \-p " " \fIPORT\fR
The TCP port which the server listens to. The default is 18812 for
unauthenticated instances and 18821 for SSL authenticated ones.
.TP
.BR \-\-host " " \fIINTERFACE\fR
Bind to network interface
.IR INTERFACE .
The default is
.BR localhost .
.TP
.B \-\-ipv6
Enable IPv6.
.TP
.BR \-\-logfile " " \fIFILE\fR
Write log to
.IR FILE .
If not specified, log output is written to
.BR stderr .
.TP
.BR \-\-quiet ", " \-q
Quiet mode. Only errors will be logged.
.SS RPyC Registry
A server instance can be registered with a running
.BR rpyc_registry (1)
for automated service discovery by clients:
.TP
.BR \-\-registry\-type " " \fITYPE\fR
Connect to the registry via
.B TCP
or
.B UDP
(which is the default).
.TP
.BR \-\-registry-port " " \fIPORT\fR
Connect to the registry on port
.IR PORT .
The default is 18811.
.TP
.BR \-\-registry\-host " " \fIHOST\fR
Connect to the registry at host
.IR HOST .
This is a required option for TCP registries. If no host is specified for UDP,
the server will attempt a broadcast via IP 255.255.255.255 to reach any
listening registry in the local network.
.SS SSL Authenticated Mode
The server supports authentication and authorization via SSL certificates. 
.BR WARNING:
While this mode provides a modest amount of security, there are serious shortcomings
such as a missing certificate revocation mechanism. Do not rely on this to expose
vital infrastructure to the Internet.
.PP
You need to specify the following options to enable this mode:
.TP
.BR \-\-ssl\-cafile " " \fIFILE\fR
Read the Certificate Authority (CA) certificate from
.IR FILE .
The CA is used to determine which client certificates are authorized
to connect to the server; only client certificates which have been issued by the
CA are accepted.
.BR WARNING :
If this option is omitted, the server will allow any client to connect, which
is probably not what you want.
.TP
.BR \-\-ssl\-certfile " " \fIFILE\FR
Read the SSL server certificate from
.IR FILE .
This certificate is presented to connecting clients to let them verify that the server
is genuine.
.TP
.BR \-\-ssl\-keyfile " " \fIFILE\fR
Read the private SSL server key for the server certificate from
.IR FILE .
.SH SEE ALSO
.BR rpyc_registry (1)
.SH AUTHOR
This manual page was written for Debian by Timo R\[u00F6]hling and
may be used without restriction.
